org.jboss.netty.channel.socket

## Interface ServerSocketChannelConfig

All Superinterfaces:
  ChannelConfig

All Known Implementing Classes:
  DefaultServerSocketChannelConfig

    public interface ServerSocketChannelConfig
    extends ChannelConfig

A `ChannelConfig` for a `ServerSocketChannel`.

### Available options

In addition to the options provided by `ChannelConfig`, `ServerSocketChannelConfig` allows the following options in the option map:

Name | Associated setter method
--- | ---
`"backlog"` | `setBacklog(int)`
`"reuseAddress"` | `setReuseAddress(boolean)`
`"receiveBufferSize"` | `setReceiveBufferSize(int)`

### Method Summary

Methods
`int` `getBacklog()` Gets the backlog value to specify when the channel binds to a local address.
`int` `getReceiveBufferSize()` Gets the `StandardSocketOptions.SO_RCVBUF` option.
`boolean` `isReuseAddress()` Gets the `StandardSocketOptions.SO_REUSEADDR` option.
`void` `setBacklog(int backlog)` Sets the backlog value to specify when the channel binds to a local address.
`void` `setPerformancePreferences(int connectionTime, int latency, int bandwidth)` Sets the performance preferences as specified in `ServerSocket.setPerformancePreferences(int, int, int)`.
`void` `setReceiveBufferSize(int receiveBufferSize)` Sets the `StandardSocketOptions.SO_RCVBUF` option.
`void` `setReuseAddress(boolean reuseAddress)` Sets the `StandardSocketOptions.SO_REUSEADDR` option.

### Methods inherited from interface org.jboss.netty.channel.ChannelConfig

`getBufferFactory, getConnectTimeoutMillis, getPipelineFactory, setBufferFactory, setConnectTimeoutMillis, setOption, setOptions, setPipelineFactory`

### Method Detail

#### getBacklog

    int getBacklog()

Gets the backlog value to specify when the channel binds to a local address.

#### setBacklog

    void setBacklog(int backlog)

Sets the backlog value to specify when the channel binds to a local address.

#### isReuseAddress

    boolean isReuseAddress()

Gets the `StandardSocketOptions.SO_REUSEADDR` option.

#### setReuseAddress

    void setReuseAddress(boolean reuseAddress)

Sets the `StandardSocketOptions.SO_REUSEADDR` option.

#### getReceiveBufferSize

    int getReceiveBufferSize()

Gets the `StandardSocketOptions.SO_RCVBUF` option.

#### setReceiveBufferSize

    void setReceiveBufferSize(int receiveBufferSize)

Sets the `StandardSocketOptions.SO_RCVBUF` option.

#### setPerformancePreferences

    void setPerformancePreferences(int connectionTime,
                                 int latency,
                                 int bandwidth)

Sets the performance preferences as specified in `ServerSocket.setPerformancePreferences(int, int, int)`.